Bug 1994103 - [IBMCLOUD] Needs to have Terraform code converted to steps.
Summary: [IBMCLOUD] Needs to have Terraform code converted to steps.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.9.0
Assignee: Jeremiah Stuever
QA Contact: Pedro Amoedo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-16 18:20 UTC by Jeremiah Stuever
Modified: 2021-10-18 17:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:46:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5116 0 None None None 2021-08-16 18:29:13 UTC
Red Hat Bugzilla 1981941 1 high CLOSED Terraform upgrade required in openshift-installer to resolve multiple issues 2022-03-12 04:36:15 UTC
Red Hat Issue Tracker CORS-1511 0 None None None 2021-08-16 18:23:04 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:00 UTC

Description Jeremiah Stuever 2021-08-16 18:20:25 UTC
There are several bugs blocked by the requirement to upgrade Terraform. In order to accomplish this, each of OpenShift platform needs to be converted to steps. This BZ is to cover IBM Cloud's conversion.

Comment 3 Pedro Amoedo 2021-09-02 13:06:20 UTC
[QA Summary]

Despite IPI IBMCloud is still under development and we can't achieve a complete installation yet, bypassing BZ#1992777 with "openshift/installer/pull/5147", I've widely tested the changes from the corresponding PR (openshift/installer/pull/5116), the installation successfully creates the control-plane VMs, cos bucket instance, LBs, DNS records, security groups, etc, it even successfully completes the bootstrap process.

Therefore, I'm proceeding to mark this BZ as VERIFIED.

Comment 6 errata-xmlrpc 2021-10-18 17:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.